## w1thermsensor 1.0.5

=== Makefile ===
.PHONY: tests deb

tests:
	@tox

tests-all: tests docker-deb

deb:
	debuild -us -uc

docker-deb:
	docker build . -t w1thermsensor
	docker run --rm -v $(shell pwd):/src w1thermsensor /src/tests/integration/test_build_deb_pkg.sh

travis-prepare-integration:
	./tests/integration/travis-run-hack.sh docker pull timofurrer/w1thermsensor

travis-integration-tests:
	./tests/integration/travis-run-hack.sh docker run --rm -v $(shell pwd):/src timofurrer/w1thermsensor /src/tests/integration/test_build_deb_pkg.sh

deploy-docker-hub:
	docker build . -t timofurrer/w1thermsensor
	docker push timofurrer/w1thermsensor:latest

lint:
	pylint w1thermsensor

install:
	pip install .

readme:
	pandoc README.md --from markdown --to rst -o README.rst

publish: readme
	python setup.py sdist register upload

manpages:
	python setup.py --command-packages=click_man.commands man_pages --target docs/

=== requirements.txt ===
click==6.6

=== debian/changelog ===
w1thermsensor (1.0.5) stable; urgency=low

  * Add need-root hint in exception when failed to change precision

 -- Timo Furrer <tuxtimo@gmail.com>  Sat, 14 Oct 2017 07:11:39 +0200

w1thermsensor (1.0.4) jessie; urgency=low

  * Run Raspbian integration tests on Travis CI
  * Deploy debian package to GitHub releases on tags

 -- Timo Furrer <tuxtimo@gmail.com>  Thu, 15 Jun 2017 17:12:55 +0200

w1thermsensor (1.0.3) jessie; urgency=low

  * Add docker integration tests

 -- Timo Furrer <tuxtimo@gmail.com>  Wed, 14 Jun 2017 09:08:09 +0200

w1thermsensor (1.0.2) jessie; urgency=low

  * Only deploy man pages with python3 package

 -- Timo Furrer <tuxtimo@gmail.com>  Mon, 12 Jun 2017 12:25:50 +0200

w1thermsensor (1.0.1) jessie; urgency=low

  * Depend on python-mock

 -- Timo Furrer <tuxtimo@gmail.com>  Thu, 08 Jun 2017 16:29:44 +0200

w1thermsensor (1.0.0) jessie; urgency=low

  * Add CLI tests
  * Fix bugs
  * Release 1.0.0

 -- Timo Furrer <tuxtimo@gmail.com>  Mon, 05 Jun 2017 21:22:10 +0200

w1thermsensor (0.4.3) jessie; urgency=low

  * Little code cleanup

 -- Timo Furrer <tuxtimo@gmail.com>  Sun, 04 Jun 2017 11:41:02 +0200

w1thermsensor (0.4.2) jessie; urgency=low

  * Fix subprocess calls

 -- Timo Furrer <tuxtimo@gmail.com>  Thu, 01 Jun 2017 18:54:13 +0200

w1thermsensor (0.4.1) jessie; urgency=low

  * support sensor precision

 -- Timo Furrer <tuxtimo@gmail.com>  Tue, 16 May 2017 16:01:02 +0200

w1thermsensor (0.4.0) jessie; urgency=low

  * support sensor precision

 -- Timo Furrer <tuxtimo@gmail.com>  Tue, 16 May 2017 16:01:02 +0200

w1thermsensor (0.3.4) jessie; urgency=low

  * align versions between deb pkg and PyPI

 -- Timo Furrer <tuxtimo@gmail.com>  Thu, 02 Mar 2017 14:31:28 +0100

w1thermsensor (0.3.3) jessie; urgency=low

  * prepare debian files to be valid for raspbian

 -- Timo Furrer <tuxtimo@gmail.com>  Fri, 02 Sep 2016 23:06:20 +0200

w1thermsensor (0.3.2-0) jessie; urgency=low

  * small bug fixes

 -- Timo Furrer <tuxtimo@gmail.com>  Thu, 01 Sep 2016 19:27:29 +0200

w1thermsensor (0.3.1-0) jessie; urgency=low

  * fix debian packages

 -- Timo Furrer <tuxtimo@gmail.com>  Thu, 01 Sep 2016 19:27:29 +0200

w1thermsensor (0.3.0-0) jessie; urgency=low

  * add command line interface

 -- Timo Furrer <tuxtimo@gmail.com>  Thu, 31 Mar 2016 14:04:27 -0700

w1thermsensor (0.2.2-1) jessie; urgency=low

  * source package automatically created by stdeb 0.8.2

 -- Timo Furrer <tuxtimo@gmail.com>  Mon, 12 Oct 2015 13:42:44 +0100

=== debian/control ===
Source: w1thermsensor
Maintainer: Timo Furrer <tuxtimo@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9), dh-python,
 python-all (>= 2.6.6-3), python3-all,
 python-setuptools, python3-setuptools,
 python-click, python3-click,
 python-pytest, python-pytest-mock, python-mock,
 python3-pytest, python3-pytest-mock
Standards-Version: 3.9.6
Homepage: https://github.com/timofurrer/w1thermsensor

Package: python-w1thermsensor
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python w1 therm sensor module (Python 2)
 This little pure python module provides a single class to get the temperature
 of a w1 therm sensor. It can be easily used on are Rasperry Pi over the GPIO
 interface.

Package: python3-w1thermsensor
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-click
Description: Python w1 therm sensor module (Python 3)
 This little pure python module provides a single class to get the temperature
 of a w1 therm sensor. It can be easily used on are Rasperry Pi over the GPIO
 interface. Including command line interface.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=w1thermsensor
export PYBUILD_TEST_PYTEST = 1
export PYBUILD_TEST_ARGS = {dir}/tests/ -s

export W1THERMSENSOR_NO_KERNEL_MODULE=1

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

# FIXME(TF): the pytest version in debian jessie
#            is missing crucial features and bugfixes
#            in order to run these tests.
#            Therefore they are disabled for now.
override_dh_auto_test:
	@echo Tests are temporarily disabled due to debian jessie pytest incompatibility
